> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.api.abelpolice.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.api.abelpolice.com/_mcp/server.

# Get a user

GET https://api.stage.abelpolice.com/v1/users/{user_id}

Reference: https://docs.api.abelpolice.com/api-reference/users/get-user-v-1-users-user-id-get

## Request

### Path parameters

- `user_id` (string, required) — The UUID of the user to return

### Headers

- `x-api-key` (string, required) — API key or token

## Response

### 200

Successful Response

- `user` (GetSingleUserResponse, required)

## Errors

### 403 Forbidden Error

Access Denied

- `detail` (string, required)

### 404 Not Found Error

Resource Not Found

- `detail` (string, required)

### 422 Unprocessable Entity Error

Validation Error

- `detail` (list of ValidationError, optional)

### 500 Internal Server Error

Internal Server Error

- `detail` (string, required)

## Types

### GetSingleUserResponse

- `user_id` (string, required) — User UUID
- `agency_id` (string, optional, nullable) — Agency UUID
- `agency_name` (string, optional, nullable) — Agency name
- `email` (string, optional, nullable) — User e-mail
- `first_name` (string, optional, nullable) — User first name
- `last_name` (string, optional, nullable) — User last name
- `phone_number` (string, optional, nullable) — User phone number
- `badge_number` (string, optional, nullable) — User badge number
- `last_login_at_utc` (string, optional, nullable) — Last login date and time
- `created_at_utc` (string, optional, nullable) — User creation date and time
- `updated_at_utc` (string, optional, nullable) — User last update date and time
- `writer_seat_assigned` (boolean, optional, nullable) — Whether the user is assigned to a writer seat
- `writer_seat_assigned_at_utc` (string, optional, nullable) — User writer seat assigned date and time
- `writer_seat_unassigned_at_utc` (string, optional, nullable) — User writer seat unassigned date and time
- `chat_seat_assigned` (boolean, optional, nullable) — Whether the user is assigned to a chat seat
- `chat_seat_assigned_at_utc` (string, optional, nullable) — User chat seat assigned date and time
- `chat_seat_unassigned_at_utc` (string, optional, nullable) — User chat seat unassigned date and time
- `global_admin` (boolean, optional, nullable) — Whether the user is a global admin
- `is_onboarded` (boolean, optional, nullable) — Whether the user is onboarded
- `role_name` (string, optional, nullable) — User role name
- `user_settings` (GetUserSettings, optional, nullable) — User settings
- `user_cognito_attributes` (GetUserCognitoAttributes, optional, nullable) — User Cognito attributes

### ValidationError

- `loc` (list of ValidationErrorLocItems, required)
- `msg` (string, required)
- `type` (string, required)

### GetUserSettings

- `narrative_signature` (string, optional, nullable) — The signature to use for report narratives
- `narrative_include_ts` (boolean, optional, default: true) — Whether to include citation timestamps in report narratives
- `narrative_header` (string, optional, nullable) — The header to use for report narratives
- `narrative_remove_spacing` (boolean, optional, default: false) — Whether to remove spacing between paragraphs in report narratives
- `narrative_include_officer_name` (boolean, optional, default: true) — Whether to include the officer's name in report narratives
- `show_dems_locker_info` (boolean, optional, default: false) — Whether to show DEMS locker info with the user's reports
- `enable_investigator_mode` (boolean, optional, default: false) — Whether to enable investigator mode for the user
- `mfa_type` (enum, optional) — The MFA type for the user
  - Allowed values: `email`, `sms`
- `title` (enum, optional) — The title/rank of the user in the agency and how they are referred to in reports
  - Allowed values: `Officer`, `Senior Officer`, `Corporal`, `Sergeant`, `Staff Sergeant`, `Lieutenant`, `Captain`, `Major`, `Commander`, `Deputy Chief`, `Assistant Chief`, `Chief`, `Chief of Police`, `Commissioner`, `Deputy Commissioner`, `Deputy`, `Chief Deputy`, `Undersheriff`, `Sheriff`, `Trooper`, `Senior Trooper`, `Master Trooper`, `Technical Trooper`, `Trooper First Class`, `Sergeant Trooper`, `Lieutenant Trooper`, `Captain Trooper`, `Major Trooper`, `Lieutenant Colonel`, `Colonel`, `Detective`, `Detective Corporal`, `Detective Sergeant`, `Detective Lieutenant`, `Investigator`, `Inspector`, `Records Manager`
- `electronic_signature_consent` (boolean, optional, default: false) — Whether the user has consented to electronic signature for reports
- `client_notification_sounds` (boolean, optional, default: true) — Whether to play audible noises in the browser when client notifications are received
- `allow_style_guide` (boolean, optional, nullable, default: false) — Feature flag: whether style guide is enabled for this user
- `narrative_ordering_mode` (enum, optional) — Optional narrative ordering style preference
  - Allowed values: `in_order_occurred`, `in_order_described`
- `thumbnail_view` (boolean, optional, default: true) — Whether to display the report list as thumbnails instead of a list view
- `voice_tagging_available` (boolean, optional, nullable, default: true) — Whether the user has voice tagging available
- `voice_tagging_datetime_processed_utc` (datetime, optional, nullable) — The datetime when we processed the user's voice tagging file
- `searching_for_voice_tagging` (boolean, optional, nullable) — Whether the user is searching for voice tagging
- `style_guide_id` (string, optional, nullable) — Applied style guide UUID for this user

### GetUserCognitoAttributes

- `cognito_user_create_date` (datetime, required) — The date and time when the user was created in Cognito
- `cognito_user_last_modified_date` (datetime, optional, nullable) — The date and time when the user was last modified in Cognito
- `enabled` (boolean, optional, default: true) — Whether the user is enabled in Cognito
- `user_status` (enum, optional) — The status of the user in Cognito
  - Allowed values: `UNCONFIRMED`, `CONFIRMED`, `ARCHIVED`, `COMPROMISED`, `UNKNOWN`, `RESET_REQUIRED`, `FORCE_CHANGE_PASSWORD`
- `email_verified` (boolean, optional, default: false) — Whether the user's email is verified in Cognito
- `phone_number_verified` (boolean, optional, default: false) — Whether the user's phone number is verified in Cognito

### ValidationErrorLocItems

- string
- integer

## Examples

**Response**

```json
{
  "user": {
    "user_id": "123e4567-e89b-12d3-a456-426614174000",
    "agency_id": "123e4567-e89b-12d3-a456-426614174000",
    "agency_name": "Agency Name",
    "email": "user@abelpolice.com",
    "first_name": "John",
    "last_name": "McClane",
    "phone_number": "+1234567890",
    "badge_number": "881",
    "last_login_at_utc": "2021-01-01T00:00:00Z",
    "created_at_utc": "2021-01-01T00:00:00Z",
    "updated_at_utc": "2021-01-01T00:00:00Z",
    "writer_seat_assigned": false,
    "writer_seat_assigned_at_utc": "2021-01-01T00:00:00Z",
    "writer_seat_unassigned_at_utc": "2021-01-01T00:00:00Z",
    "chat_seat_assigned": false,
    "chat_seat_assigned_at_utc": "2021-01-01T00:00:00Z",
    "chat_seat_unassigned_at_utc": "2021-01-01T00:00:00Z",
    "global_admin": false,
    "is_onboarded": false,
    "role_name": "Admin",
    "user_settings": {
      "narrative_signature": "Officer Daniel Francis, Badge No. 1107",
      "narrative_include_ts": true,
      "narrative_header": "Officer Daniel Francis Badge No. 1107",
      "narrative_remove_spacing": false,
      "narrative_include_officer_name": false,
      "show_dems_locker_info": true,
      "enable_investigator_mode": true,
      "mfa_type": "email",
      "title": "Officer",
      "electronic_signature_consent": true,
      "client_notification_sounds": true,
      "allow_style_guide": true,
      "narrative_ordering_mode": "in_order_occurred",
      "thumbnail_view": true,
      "voice_tagging_available": true,
      "voice_tagging_datetime_processed_utc": "2023-10-01T12:00:00",
      "searching_for_voice_tagging": true,
      "style_guide_id": "string"
    },
    "user_cognito_attributes": {
      "cognito_user_create_date": "2024-01-15T09:30:00Z",
      "cognito_user_last_modified_date": "2024-01-15T09:30:00Z",
      "enabled": true,
      "user_status": "UNCONFIRMED",
      "email_verified": true,
      "phone_number_verified": true
    }
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.stage.abelpolice.com/v1/users/user_id"

headers = {"x-api-key": "<token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.stage.abelpolice.com/v1/users/user_id';
const options = {method: 'GET', headers: {'x-api-key': '<token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.stage.abelpolice.com/v1/users/user_id"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.stage.abelpolice.com/v1/users/user_id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.stage.abelpolice.com/v1/users/user_id")
  .header("x-api-key", "<token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.stage.abelpolice.com/v1/users/user_id', [
  'headers' => [
    'x-api-key' => '<token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.stage.abelpolice.com/v1/users/user_id");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["x-api-key": "<token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.stage.abelpolice.com/v1/users/user_id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```